Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Cs-Cart And Multi-Vendor 4.3.3 Released With Upgrade Center Improvements Rate Topic   - - - - -

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3269 posts

Posted 26 June 2015 - 10:50 AM #21

Anything I ask in helpdesk gets my credits deducted. Why not having archive accessible if file are?

You can contact Help Desk and sales manger will provide you with 4.3.2 package.



 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 26 June 2015 - 12:10 PM #22

i was ironic :P


Thanks) We fixed this.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 26 June 2015 - 12:12 PM #23

Anything I ask in helpdesk gets my credits deducted. Why not having archive accessible if file are?


Because it requires additional modification of Help Desk - that's not the kind of work that programmers should do now.
Your credits won't be deducted if you just ask for 4.3.2 without a bunch of extra questions.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • mokeshop
  • Senior Member
  • Members
  • Join Date: 27-Jul 12
  • 1000 posts

Posted 26 June 2015 - 12:30 PM #24

Because it requires additional modification of Help Desk - that's not the kind of work that programmers should do now.
Your credits won't be deducted if you just ask for 4.3.2 without a bunch of extra questions.


please in the future if it's possible to don't remove older version from the filearea... it can be useful or... a download section of older version on cs-cart.com would be nice...

why?
i have to try to manually perform update 4.3.1 to 4.3.2... but can't download 4.3.1 version nowhere. .. (lzcky i have one on my local comp)

 
  • albertpro
  • Member
  • Members
  • Join Date: 25-Nov 07
  • 118 posts

Posted 29 June 2015 - 03:44 PM #25

This mean that upgrade script is unable to make sure that restore.php is there and callable. In this case you should checkt the write permissions for this file.

We decided to not allow upgrade process until the restore is working. Revert is critical function for upgrades.


Hi @imac, we got the same error two. The upgrade works fine when we did upgrade 4.3.2 and not a such a message. The restore file is there and does exist. and the file persmission is 666.

I did change it 777 but still didn't work and we got the same error.

Please advise what we should do.

Thank you,

Albert

CS-CART: version 4.6.1


 

Posted 29 June 2015 - 04:55 PM #26

imac - same problem as albertpro as well. 4.3.2 to 4.3.3 upgrade fails on restore.php
cs-cart 4.2.1

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 29 June 2015 - 05:37 PM #27

Hi @imac, we got the same error two. The upgrade works fine when we did upgrade 4.3.2 and not a such a message. The restore file is there and does exist. and the file persmission is 666.

I did change it 777 but still didn't work and we got the same error.

Please advise what we should do.

Thank you,

Albert

imac - same problem as albertpro as well. 4.3.2 to 4.3.3 upgrade fails on restore.php


We are working on this problem. Will keep you informed.
Thank you guys for the report.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • Darius
  • Douchebag
  • Members
  • Join Date: 20-Apr 08
  • 3269 posts

Posted 30 June 2015 - 11:59 AM #28

Upgrading is getting too complicated and too often. How can anyone keep up even if you got one or few third party addons.. I really hope to see one stable release one day.. Release with non working paypal payment method should not even be used on livestores..

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 30 June 2015 - 03:27 PM #29

Hi @imac, we got the same error two. The upgrade works fine when we did upgrade 4.3.2 and not a such a message. The restore file is there and does exist. and the file persmission is 666.

I did change it 777 but still didn't work and we got the same error.

Please advise what we should do.

Thank you,

Albert

imac - same problem as albertpro as well. 4.3.2 to 4.3.3 upgrade fails on restore.php

Upgrading is getting too complicated and too often. How can anyone keep up even if you got one or few third party addons.. I really hope to see one stable release one day.. Release with non working paypal payment method should not even be used on livestores..


Guys,

Here is the fix: http://forum.cs-cart...2861#entry22861
Please let me know if it solved the problem.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 

Posted 30 June 2015 - 03:35 PM #30

imac - can't you update the 4.3.3. package to fix this?
cs-cart 4.2.1

 

Posted 30 June 2015 - 05:01 PM #31

ETA on V4.3.4... ??

Elkhorn Graphics LLC
Cs-Cart 4.7.1  SP3


 
  • mokeshop
  • Senior Member
  • Members
  • Join Date: 27-Jul 12
  • 1000 posts

Posted 01 July 2015 - 07:40 PM #32

Hi!

The CS-Cart team is happy to announce another minor release of CS-Cart and Multi-Vendor.

Posted Image


CS-Cart and Multi-Vendor 4.3.3 is a scheduled maintenance release. It fixes several minor issues discovered since 4.3.1 and improves the Upgrade Center:

  • a couple additional checks were added to make upgrading more stable;
  • if the translation for your store's language is missing in an upgrade, English is now used as a fallback, so you won't have missing texts after upgrading;
See the full changelog on our site.

Upgrade

If you have an active upgrade subscription, you'll get a notification about the new version in your admin panel within a week. Click on it and your store will be automatically updated to the newest version.

Important! In 4.3.3, we had to temporarily exclude the Store Import add-on.
If you're upgrading from CS-Cart 2 or 3, use the Store Import add-on to migrate to version 4.3.2, and then upgrade via the Upgrade Center.



hello imac,

can you recheck this possibility
http://forum.cs-cart...ter-432-to-433/

 
  • CartBooster
  • Senior Member
  • Members
  • Join Date: 25-Jun 06
  • 245 posts

Posted 02 July 2015 - 12:21 AM #33

Hi,

We had the same issue, we manually changed the files via CHMOD

However CS-CART changes them to the default CS-CART settings,

We're running our server using SUPHP model,

Change the config file to set files to 644 and the update will apply correctly,

We've just updated 2 of our 7 stores correctly using this method

Guys,

Here is the fix: http://forum.cs-cart...2861#entry22861
Please let me know if it solved the problem.


www.cartbooster.ie


 
  • mokeshop
  • Senior Member
  • Members
  • Join Date: 27-Jul 12
  • 1000 posts

Posted 02 July 2015 - 08:39 AM #34

hello,

when is 4.3.4 planned? just to get some orientation; ) regards

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 02 July 2015 - 12:43 PM #35

hello,

when is 4.3.4 planned? just to get some orientation; ) regards

ETA on V4.3.4... ??


~2-3 weeks.
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • kogi
  • Senior Member
  • Members
  • Join Date: 16-Aug 07
  • 615 posts

Posted 02 July 2015 - 12:46 PM #36

imac,

Cscart demo is running on nginx, will you guys release nginx config file?
find / -type f -name '*.base' -exec chown kogi.kogi {} \;

 
  • mokeshop
  • Senior Member
  • Members
  • Join Date: 27-Jul 12
  • 1000 posts

Posted 02 July 2015 - 07:59 PM #37

imac,

Cscart demo is running on nginx, will you guys release nginx config file?


interesting ;)

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 03 July 2015 - 11:39 AM #38

imac,

Cscart demo is running on nginx, will you guys release nginx config file?

No, it uses nginx as proxy, but the main web-server for CS-Cart is apache.
Gleb has posted the config here: http://forum.cs-cart...post__p__213240
Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • mattcaswell
  • Junior Member
  • Members
  • Join Date: 06-Oct 09
  • 79 posts

Posted 04 July 2015 - 07:22 PM #39

Tried to click on Download in the Upgrade Center and I get this error:

WarningCannot download the upgrade package

2 weeks ago the update for 4.3.2 went just fine. Posted in bug tracker as well.

anyone else have this issue?

matt caswell

 
  • kogi
  • Senior Member
  • Members
  • Join Date: 16-Aug 07
  • 615 posts

Posted 05 July 2015 - 08:01 AM #40

Can anyone upload the 4.3.2 -> 4.3.3 upgrade file? I want to test this on my dev server
find / -type f -name '*.base' -exec chown kogi.kogi {} \;